API versioning allows us to grow our product without breaking your integration
Our philosophy is to try and avoid creating new versions as much as possible. Any changes to an API’s payload, either in creation or in responses, should be as backwards compatible as possible. We do not consider adding new endpoints to be “breaking changes”, so would not consider releasing a new version.Complete backward compatibility over the long term is unrealistic. Every serious API must offer a mechanism to deal with breaking changes.Our approach is to version API endpoints by service and in the request URL’s
path. This implies that if we only need to make changes to a single service, all
the other services are isolated. It’s easier to log or debug requests and
extract statistics from logging data.You’ll see in the documentation that each service’s end-points include the
version in the URL path, a few examples:
GET https://api.invopop.com/utils/v1/ping
PUT https://api.invopop.com/transform/v1/jobs/XXXXXX
GET https://api.invopop.com/silo/v1/entries
If at some point in the future for example we decide to refactor our transform
job creation service, we’ll be able to suggest clients switch from
transform/v1 to transform/v2 as part of their migration process.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Invopop","colors":{"primary":"#169958","light":"#169958","dark":"#103830"},"logo":{"light":"https://mintcdn.com/invopop/tvrHhZ01dWh1WgVy/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=tvrHhZ01dWh1WgVy\u0026q=85\u0026s=acee80bf7ace42a69f7bc31d48bac07d","dark":"https://mintcdn.com/invopop/tvrHhZ01dWh1WgVy/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=tvrHhZ01dWh1WgVy\u0026q=85\u0026s=8682d855b2ae592f840a2e75835dd6a4"},"favicon":"https://mintcdn.com/invopop/RHaqrZ8_qKav21l4/favicon.png?fit=max\u0026auto=format\u0026n=RHaqrZ8_qKav21l4\u0026q=85\u0026s=40f5b8d569abe96aa51c7d89f608f971","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://api.invopop.com"}},"navbar":{"links":[{"href":"https://www.invopop.com/contact","label":"Contact us"},{"href":"https://community.invopop.com","label":"Community"}]},"footer":{"socials":{"x":"https://x.com/goInvopop","linkedin":"https://www.linkedin.com/company/invopop","github":"https://github.com/invopop"}},"fonts":{"family":"Inter"},"styling":{"codeblocks":"system","latex":true},"integrations":{"plausible":{"domain":"docs.invopop.com"}},"contextual":{"options":["copy","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"invopop","hasAudioNarration":false,"actualSubdomain":"invopop","customDomains":["docs.invopop.com"],"gitSource":{"type":"github","owner":"invopop","repo":"docs.invopop.com","deployBranch":"main","contentDirectory":"","mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae49a28f49f5b7aedfdc85d","collectionId":"c4f946f9-ee8a-447d-b32e-7e8c93967a48","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae49a28f49f5b7aedfdc85d"},"feedback":{"thumbs":true,"edits":true,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae49a28f49f5b7aedfdc85d","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Get Started","count":91},{"language":"default","tag":"API Reference","count":88},{"language":"default","tag":"Apps","count":86},{"language":"default","tag":"Country compliance","count":86},{"language":"default","tag":"Guides","count":82},{"language":"default","tag":"Countries","count":57},{"language":"default","tag":"Europe","count":46},{"language":"default","tag":"Platform","count":39},{"language":"default","tag":"France","count":28},{"language":"default","tag":"Console","count":25}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"[data-component-part=card-icon]{min-width:24px}.card .icon{margin:0;position:relative;top:-1px;width:20px!important;height:20px!important}.pop-count{position:absolute;top:16px;right:16px;font-size:12px;font-weight:700}.pop-count .icon{margin-right:3px}table tr:has(th:empty){display:none}.tab-container table td,.update table td,h4+div>.table td{min-width:auto}.tab-container table td{white-space:nowrap}.dark\\:bg-primary-light:is(.dark *){background:0 0}h4 .icon,h4 .icon+a{opacity:.7;font-size:14px;border-bottom:none}h4 .icon{margin-left:1em}h4 .icon+a:hover{opacity:1}a:has(img[src*=coming-soon]),a:has(svg[style*=transporter-empty]),button:has(img[src*=coming-soon]),button:has(svg[style*=transporter-empty]){opacity:.4}div:has(>svg[style*=transporter-empty]),svg[style*=transporter-empty]{position:absolute;display:none}td .icon{margin-top:12px!important;margin-bottom:12px!important;margin-right:8px!important}.country{margin:-2em 0;background:#f6f6f6;padding:4px}h2:has(+.country){margin-bottom:2em}div[data-component-part=accordion-content]{overflow-x:hidden!important}.grow+[data-table-wrapper=true]{padding:0}.grow+[data-table-wrapper=true]>div.table{margin:0 0 0 1rem}a[href=\"https://www.mintlify.com?utm_campaign=poweredBy\u0026utm_medium=referral\u0026utm_source=undefined\"]{display:none}img[src*=\"apps/tables/icon.svg\"]:is(.dark *){content:url(https://assets.invopop.com/apps/tables/icon-white.svg)}"}],"page":{"pagePath":"api-ref/versioning","slug":"/api-ref/versioning","pageMetadata":{"title":"Versioning","icon":"code-branch","description":"API versioning allows us to grow our product without breaking your integration","href":"/api-ref/versioning"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"API versioning allows us to grow our product without breaking your integration\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,ul:`ul`,..._provideComponents(),...props.components};return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Our philosophy is to try and avoid creating new versions as much as possible. Any changes to an API’s payload, either in creation or in responses, should be as backwards compatible as possible. We do not consider adding new endpoints to be “breaking changes”, so would not consider releasing a new version.`}),`\n`,_jsx(_components.p,{children:`Complete backward compatibility over the long term is unrealistic. Every serious API must offer a mechanism to deal with breaking changes.`}),`\n`,_jsx(_components.p,{children:`Our approach is to version API endpoints by service and in the request URL’s\npath. This implies that if we only need to make changes to a single service, all\nthe other services are isolated. It’s easier to log or debug requests and\nextract statistics from logging data.`}),`\n`,_jsx(_components.p,{children:`You’ll see in the documentation that each service’s end-points include the\nversion in the URL path, a few examples:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`\n`,_jsx(_components.p,{children:_jsx(_components.code,{children:`GET https://api.invopop.com/utils/v1/ping`})}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsx(_components.p,{children:_jsx(_components.code,{children:`PUT https://api.invopop.com/transform/v1/jobs/XXXXXX`})}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsx(_components.p,{children:_jsx(_components.code,{children:`GET https://api.invopop.com/silo/v1/entries`})}),`\n`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`If at some point in the future for example we decide to refactor our transform\njob creation service, we’ll be able to suggest clients switch from\n`,_jsx(_components.code,{children:`transform/v1`}),` to `,_jsx(_components.code,{children:`transform/v2`}),` as part of their migration process.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Versioning","icon":"code-branch","description":"API versioning allows us to grow our product without breaking your integration","href":"/api-ref/versioning"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"subdomain":"invopop","siteName":"Invopop","title":"Versioning - Invopop","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-22T09:12:30.734Z","originalFileLocation":"api-ref/versioning.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"API versioning allows us to grow our product without breaking your integration\">\u003cmeta data-mint-head name=\"application-name\" content=\"Invopop\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Versioning - Invopop\">\u003cmeta data-mint-head property=\"og:description\" content=\"API versioning allows us to grow our product without breaking your integration\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Invopop\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.invopop.com/api-ref/versioning\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://invopop.mintlify.app/_mintlify/api/og/v2?division=API\u0026amp;title=Versioning\u0026amp;description=API+versioning+allows+us+to+grow+our+product+without+breaking+your+integration\u0026amp;theme=9123e067ce26f60f653b867d\u0026amp;signature=de4c226348a22630cf14423594348031ccd00dc9e41f58a117e126149e240912\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Versioning - Invopop\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"API versioning allows us to grow our product without breaking your integration\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://invopop.mintlify.app/_mintlify/api/og/v2?division=API\u0026amp;title=Versioning\u0026amp;description=API+versioning+allows+us+to+grow+our+product+without+breaking+your+integration\u0026amp;theme=9123e067ce26f60f653b867d\u0026amp;signature=de4c226348a22630cf14423594348031ccd00dc9e41f58a117e126149e240912\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Invopop\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#169958\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.invopop.com/api-ref/versioning\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-ref/versioning.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.invopop.com/#organization\",\"name\":\"Invopop\",\"url\":\"https://docs.invopop.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/invopop/tvrHhZ01dWh1WgVy/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=tvrHhZ01dWh1WgVy\u0026q=85\u0026s=acee80bf7ace42a69f7bc31d48bac07d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.invopop.com#website\",\"name\":\"Invopop\",\"url\":\"https://docs.invopop.com\",\"publisher\":{\"@id\":\"https://docs.invopop.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.invopop.com/api-ref/versioning#webpage\",\"url\":\"https://docs.invopop.com/api-ref/versioning\",\"name\":\"Versioning\",\"description\":\"API versioning allows us to grow our product without breaking your integration\",\"dateModified\":\"2026-07-22T09:12:30.734Z\",\"isPartOf\":{\"@id\":\"https://docs.invopop.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.invopop.com/api-ref/versioning#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.invopop.com/api-ref/versioning#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API\",\"item\":\"https://docs.invopop.com/api-ref/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Versioning\",\"item\":\"https://docs.invopop.com/api-ref/versioning\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.invopop.com/api-ref/versioning#article\",\"headline\":\"Versioning\",\"name\":\"Versioning\",\"description\":\"API versioning allows us to grow our product without breaking your integration\",\"url\":\"https://docs.invopop.com/api-ref/versioning\",\"mainEntityOfPage\":{\"@id\":\"https://docs.invopop.com/api-ref/versioning#webpage\"},\"dateModified\":\"2026-07-22T09:12:30.734Z\",\"publisher\":{\"@id\":\"https://docs.invopop.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.invopop.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Invopop\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Invopop","nav":{"global":null,"tabs":[{"tab":"Get Started","icon":"compass","pages":[{"title":"Get Started","href":""}]},{"tab":"Platform","icon":"sidebar","pages":[{"title":"Platform","href":"/console"}]},{"tab":"Guides","icon":"map","pages":[{"title":"Guides","href":"/guides"}]},{"tab":"Apps","icon":"app-store","pages":[{"title":"Apps","href":"/apps"}]},{"tab":"API Reference","icon":"code","pages":[{"group":"API","pages":[{"title":"Introduction","icon":"info","href":"/api-ref/introduction"},{"title":"Technical glossary","icon":"book-open-cover","href":"/api-ref/glossary"},{"title":"Authentication","icon":"lock-a","href":"/api-ref/authentication"},{"title":"Idempotency","icon":"rotate-right","description":"Ensuring API requests are safe.","href":"/api-ref/idempotency"},{"title":"Versioning","icon":"code-branch","href":"/api-ref/versioning"},{"title":"Postman collections","sidebarTitle":"Postman","description":"Reference API collections to explore Invopop's functionality","icon":"user-astronaut","href":"/api-ref/postman"}]},{"group":"Silo","icon":"database","pages":[{"group":"Entries","pages":[{"title":"Fetch all entries","openapi":"GET /silo/v1/entries","href":"/api-ref/silo/entries/fetch-all-entries"},{"title":"Search entries","openapi":"GET /silo/v1/search","href":"/api-ref/silo/entries/search-entries"},{"title":"Fetch an entry","sidebarTitle":"Fetch entry","openapi":"GET /silo/v1/entries/{id}","href":"/api-ref/silo/entries/fetch-an-entry"},{"title":"Fetch an entry version","sidebarTitle":"Fetch entry version","openapi":"GET /silo/v1/entries/{id}/versions/{version}","href":"/api-ref/silo/entries/fetch-entry-version"},{"title":"Fetch an entry by key","sidebarTitle":"Fetch entry by key","openapi":"GET /silo/v1/entries/key/{key}","href":"/api-ref/silo/entries/fetch-an-entry-by-key"},{"title":"Create an entry with ID","sidebarTitle":"Create entry","openapi":"PUT /silo/v1/entries/{id}","href":"/api-ref/silo/entries/create-an-entry-put"},{"title":"Create an entry without UUID","sidebarTitle":"Create entry (no ID)","openapi":"POST /silo/v1/entries","href":"/api-ref/silo/entries/create-an-entry-post"},{"title":"Update an entry","sidebarTitle":"Update entry","openapi":"PATCH /silo/v1/entries/{id}","href":"/api-ref/silo/entries/update-an-entry"},{"title":"Find related entries","openapi":"GET /silo/v1/entries/{id}/related","href":"/api-ref/silo/entries/find-related"},{"title":"Fetch a file","sidebarTitle":"Fetch file","openapi":"GET /silo/v1/entries/{entry_id}/files/{id}","href":"/api-ref/silo/entries/files-fetch"},{"title":"Create a file with ID","sidebarTitle":"Create file","openapi":"PUT /silo/v1/entries/{entry_id}/files/{id}","href":"/api-ref/silo/entries/files-put"},{"title":"Create a file without UUID","sidebarTitle":"Create file (no ID)","openapi":"POST /silo/v1/entries/{entry_id}/files","href":"/api-ref/silo/entries/files-post"}]},{"group":"GOBL","pages":[{"title":"Build GOBL document","openapi":"POST /silo/v1/gobl/build","href":"/api-ref/silo/gobl/build"},{"title":"Correct GOBL envelope","openapi":"POST /silo/v1/gobl/correct","href":"/api-ref/silo/gobl/correct"},{"title":"Sign GOBL document","openapi":"POST /silo/v1/gobl/sign","href":"/api-ref/silo/gobl/sign"}]},{"group":"Spool","pages":[{"title":"Upload a file","sidebarTitle":"Upload","openapi":"POST /silo/v1/spool","href":"/api-ref/silo/spool/upload"},{"title":"Download a file","sidebarTitle":"Download","openapi":"GET /silo/v1/spool/{key}","href":"/api-ref/silo/spool/download"},{"title":"Delete a file","sidebarTitle":"Delete","openapi":"DELETE /silo/v1/spool/{key}","href":"/api-ref/silo/spool/delete"}]}]},{"group":"Transform","icon":"arrow-right-arrow-left","pages":[{"group":"Workflows","pages":[{"title":"Fetch all workflows","openapi":"GET /transform/v1/workflows","href":"/api-ref/transform/workflows/fetch-all-workflows"},{"title":"Create a workflow","openapi":"PUT /transform/v1/workflows/{id}","href":"/api-ref/transform/workflows/create-a-workflow"},{"title":"Fetch a workflow","openapi":"GET /transform/v1/workflows/{id}","href":"/api-ref/transform/workflows/fetch-a-workflow"},{"title":"Update a workflow","openapi":"PATCH /transform/v1/workflows/{id}","href":"/api-ref/transform/workflows/update-a-workflow"}]},{"group":"Jobs","pages":[{"title":"Fetch all jobs","openapi":"GET /transform/v1/jobs","href":"/api-ref/transform/jobs/fetch-all-jobs"},{"title":"Create a job with a UUID","sidebarTitle":"Create a job","openapi":"PUT /transform/v1/jobs/{id}","href":"/api-ref/transform/jobs/create-a-job-put"},{"title":"Create a job without a UUID","sidebarTitle":"Create a job (no ID)","openapi":"POST /transform/v1/jobs","href":"/api-ref/transform/jobs/create-a-job-post"},{"title":"Fetch a job","openapi":"GET /transform/v1/jobs/{id}","href":"/api-ref/transform/jobs/fetch-a-job"},{"title":"Fetch a job by key","openapi":"GET /transform/v1/jobs/key/{key}","href":"/api-ref/transform/jobs/fetch-a-job-by-key"}]}]},{"group":"Sequences","icon":"list","pages":[{"title":"Introduction","href":"/api-ref/sequences/introduction"},{"group":"Series","pages":[{"title":"Overview","href":"/api-ref/sequences/series/overview"},{"title":"Fetch all series","openapi":"GET /sequence/v1/series","href":"/api-ref/sequences/series/fetch-all-series"},{"title":"Create a series","openapi":"PUT /sequence/v1/series/{id}","href":"/api-ref/sequences/series/create-a-series"},{"title":"Fetch a series","openapi":"GET /sequence/v1/series/{id}","href":"/api-ref/sequences/series/fetch-a-series"}]},{"group":"Entries","pages":[{"title":"Overview","href":"/api-ref/sequences/entries/overview"},{"title":"Fetch all series entries","openapi":"GET /sequence/v1/series/{series_id}/entries","href":"/api-ref/sequences/entries/fetch-all-series-entries"},{"title":"Create a series entry","openapi":"PUT /sequence/v1/series/{series_id}/entries/{id}","href":"/api-ref/sequences/entries/create-a-series-entry"},{"title":"Fetch a series entry","openapi":"GET /sequence/v1/series/{series_id}/entries/{id}","href":"/api-ref/sequences/entries/fetch-a-series-entry"}]}]},{"group":"Access","icon":"building","pages":[{"group":"Workspaces","pages":[{"title":"Fetch workspace","openapi":"GET /access/v1/workspace","href":"/api-ref/access/workspace/fetch"},{"title":"Update workspace","openapi":"PATCH /access/v1/workspace","href":"/api-ref/access/workspace/update"}]},{"group":"Enrollments","pages":[{"title":"Authorize enrollment","openapi":"POST /access/v1/enrollment/authorize","href":"/api-ref/access/enrollment/authorize"},{"title":"Fetch enrollment","openapi":"GET /access/v1/enrollment","href":"/api-ref/access/enrollment/fetch"},{"title":"Update enrollment","openapi":"PATCH /access/v1/enrollment","href":"/api-ref/access/enrollment/update"}]}]},{"group":"Apps","icon":"puzzle-piece","pages":[{"group":"AT Portugal","pages":[{"title":"Set AT credentials","openapi":"POST /apps/at-pt/v1/entry/{silo_entry_id}/credentials","href":"/api-ref/apps/at-pt/credentials"},{"title":"Register series","openapi":"POST /apps/at-pt/v1/entry/{silo_entry_id}/series","href":"/api-ref/apps/at-pt/series-register"},{"title":"List series","openapi":"GET /apps/at-pt/v1/entry/{silo_entry_id}/series","href":"/api-ref/apps/at-pt/series-list"},{"title":"Get series details","openapi":"GET /apps/at-pt/v1/entry/{silo_entry_id}/series/{id}","href":"/api-ref/apps/at-pt/series-get"},{"title":"Generate SAF-T report","openapi":"GET /apps/at-pt/v1/entry/{silo_entry_id}/saft","href":"/api-ref/apps/at-pt/saft"}]},{"group":"Colombia","pages":[{"title":"Fetch enablement status","openapi":"GET /apps/gov-co/v1/entries/{silo_entry_id}/enablement","href":"/api-ref/apps/gov-co/enablement-get"},{"title":"Submit test set","openapi":"POST /apps/gov-co/v1/entries/{silo_entry_id}/enablement","href":"/api-ref/apps/gov-co/enablement-submit"},{"title":"List resolutions","openapi":"GET /apps/gov-co/v1/entries/{silo_entry_id}/resolutions","href":"/api-ref/apps/gov-co/resolutions-list"},{"title":"Upload contingency resolution","openapi":"POST /apps/gov-co/v1/entries/{silo_entry_id}/resolutions/contingency","href":"/api-ref/apps/gov-co/resolutions-upload"}]},{"group":"PDF Generator","pages":[{"title":"Generate a PDF preview","openapi":"POST /apps/pdf/v1/preview","href":"/api-ref/apps/pdf/preview"}]},{"group":"France","pages":[{"title":"Look up directory entries by SIREN","openapi":"GET /apps/gov-fr/v1/directory/siren/{siren}","href":"/api-ref/apps/gov-fr/lookup-siren"},{"title":"Look up directory entries by electronic address","openapi":"GET /apps/gov-fr/v1/directory/identifier/{identifier}","href":"/api-ref/apps/gov-fr/lookup-identifier"},{"title":"Download agreement PDF","openapi":"GET /apps/gov-fr/v1/entry/{silo_entry_id}/agreement","href":"/api-ref/apps/gov-fr/agreement-fetch"},{"title":"Upload pre-signed agreement","openapi":"POST /apps/gov-fr/v1/entry/{silo_entry_id}/agreement","href":"/api-ref/apps/gov-fr/agreement-upload"},{"title":"Upload identity image","openapi":"POST /apps/gov-fr/v1/entry/{silo_entry_id}/identity","href":"/api-ref/apps/gov-fr/identity-upload"},{"title":"Sign agreement mandate","openapi":"POST /apps/gov-fr/v1/entry/{silo_entry_id}/sign","href":"/api-ref/apps/gov-fr/sign"},{"title":"Confirm submission","openapi":"POST /apps/gov-fr/v1/entry/{silo_entry_id}/confirm","href":"/api-ref/apps/gov-fr/confirm"},{"title":"List migrations","openapi":"GET /apps/gov-fr/v1/migrations","href":"/api-ref/apps/gov-fr/migrations-list"},{"title":"List a silo entry's migrations","openapi":"GET /apps/gov-fr/v1/migrations/{silo_entry_id}","href":"/api-ref/apps/gov-fr/migrations-entry"},{"title":"Answer a migration request","openapi":"POST /apps/gov-fr/v1/migrations/{silo_entry_id}","href":"/api-ref/apps/gov-fr/migration-answer"},{"title":"Fetch e-reporting summary","openapi":"GET /apps/gov-fr/v1/reports/{siren}","href":"/api-ref/apps/gov-fr/reports-summary"},{"title":"List e-reporting periods","openapi":"GET /apps/gov-fr/v1/reports/{siren}/periods","href":"/api-ref/apps/gov-fr/reports-periods"},{"title":"Fetch an e-reporting period","openapi":"GET /apps/gov-fr/v1/reports/{siren}/periods/{period_id}","href":"/api-ref/apps/gov-fr/reports-period"},{"title":"Download a period's Flux 10 XML","openapi":"GET /apps/gov-fr/v1/reports/{siren}/periods/{period_id}/xml","href":"/api-ref/apps/gov-fr/reports-period-xml"},{"title":"Preview the current window's Flux 10 report","openapi":"GET /apps/gov-fr/v1/reports/{siren}/preview","href":"/api-ref/apps/gov-fr/reports-preview"}]},{"group":"Peppol","pages":[{"title":"Look up a Peppol participant","openapi":"GET /apps/peppol/v1/lookup","href":"/api-ref/apps/peppol/lookup-participant"},{"title":"Upload proof of ownership PDF","openapi":"POST /apps/peppol/v1/entry/{silo_entry_id}/ownership","href":"/api-ref/apps/peppol/ownership-upload"}]},{"group":"Poland","pages":[{"title":"Upload KSeF certificate","openapi":"POST /apps/gov-pl/v1/entry/{silo_entry_id}/certificate","href":"/api-ref/apps/gov-pl/certificate-upload"}]},{"group":"Saudi Arabia","pages":[{"title":"Submit OTP","openapi":"POST /apps/gov-sa/v1/entry/{silo_entry_id}/otp","href":"/api-ref/apps/gov-sa/otp-submit"}]},{"group":"SW Sapien","pages":[{"title":"Upload e.firma certificate","openapi":"POST /apps/sw-sapien/v1/entry/{silo_entry_id}/certificate","href":"/api-ref/apps/sw-sapien/certificate-upload"}]},{"group":"Spain","pages":[{"title":"Generate agreement PDF","openapi":"GET /apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement","href":"/api-ref/apps/gov-es/agreement-fetch"},{"title":"Upload agreement PDF","openapi":"POST /apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement","href":"/api-ref/apps/gov-es/agreement-upload"},{"title":"Upload identity image","openapi":"POST /apps/gov-es/v1/entry/{silo_entry_id}/{system}/identity","href":"/api-ref/apps/gov-es/identity-upload"},{"title":"Confirm","openapi":"POST /apps/gov-es/v1/entry/{silo_entry_id}/{system}/confirm","href":"/api-ref/apps/gov-es/confirm"},{"title":"Verify tax ID","openapi":"POST /apps/gov-es/v1/lookup","href":"/api-ref/apps/gov-es/lookup"}]},{"group":"VERI*FACTU","pages":[{"title":"Generate agreement PDF","openapi":"GET /apps/verifactu/v1/entry/{silo_entry_id}/agreement","href":"/api-ref/apps/verifactu/agreement-fetch"},{"title":"Upload agreement PDF","openapi":"POST /apps/verifactu/v1/entry/{silo_entry_id}/agreement","href":"/api-ref/apps/verifactu/agreement-upload"},{"title":"Upload identity image","openapi":"POST /apps/verifactu/v1/entry/{silo_entry_id}/identity","href":"/api-ref/apps/verifactu/identity-upload"},{"title":"Confirm","openapi":"POST /apps/verifactu/v1/entry/{silo_entry_id}/confirm","href":"/api-ref/apps/verifactu/confirm"}]}]},{"group":"Utils","icon":"wrench","pages":[{"title":"Ping","openapi":"GET /utils/v1/ping","href":"/api-ref/utils/ping"},{"title":"UUID","openapi":"GET /utils/v1/uuid","href":"/api-ref/utils/uuid"}]}]}]},"basePath":"","title":"Versioning - Invopop","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":[],"chunks":[]}